Get a campaign
curl --request POST \
--url https://api.datalane.com/v1/campaigns/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignId": "<string>"
}
'import requests
url = "https://api.datalane.com/v1/campaigns/get"
payload = { "campaignId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaignId: '<string>'})
};
fetch('https://api.datalane.com/v1/campaigns/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "draft",
"createdVia": "api",
"name": "July target accounts",
"accounts": {
"requested": 100,
"eligible": 82,
"excluded": {
"total": 18,
"invalid": 5,
"recentlyEnriched": 13,
"crmExcluded": 0
}
},
"credits": {
"charged": 2,
"remaining": 998
},
"excludeEnrichedWithinDays": 30,
"lastEnrichment": {
"status": "failed",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"refunded": true
},
"createdAt": "2026-07-21T14:00:00.000Z",
"completedAt": "2023-11-07T05:31:56Z",
"resultsExpireAt": "2023-11-07T05:31:56Z",
"results": {
"totalAccounts": 100,
"totalContactsFound": 275,
"pctAccountsWithContact": 0.8,
"pctAccountsWithMobile": 0.6
}
},
"error": null
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {
"issues": [
"<string>"
]
}
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "<string>"
}
}{
"data": null,
"error": {
"code": "not_found",
"message": "<string>",
"details": {
"resource": "<string>",
"id": "<string>"
}
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Internal error."
}
}Campaigns
Get a campaign
POST
/
v1
/
campaigns
/
get
Get a campaign
curl --request POST \
--url https://api.datalane.com/v1/campaigns/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignId": "<string>"
}
'import requests
url = "https://api.datalane.com/v1/campaigns/get"
payload = { "campaignId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaignId: '<string>'})
};
fetch('https://api.datalane.com/v1/campaigns/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"status": "draft",
"createdVia": "api",
"name": "July target accounts",
"accounts": {
"requested": 100,
"eligible": 82,
"excluded": {
"total": 18,
"invalid": 5,
"recentlyEnriched": 13,
"crmExcluded": 0
}
},
"credits": {
"charged": 2,
"remaining": 998
},
"excludeEnrichedWithinDays": 30,
"lastEnrichment": {
"status": "failed",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"refunded": true
},
"createdAt": "2026-07-21T14:00:00.000Z",
"completedAt": "2023-11-07T05:31:56Z",
"resultsExpireAt": "2023-11-07T05:31:56Z",
"results": {
"totalAccounts": 100,
"totalContactsFound": 275,
"pctAccountsWithContact": 0.8,
"pctAccountsWithMobile": 0.6
}
},
"error": null
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {
"issues": [
"<string>"
]
}
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "<string>"
}
}{
"data": null,
"error": {
"code": "not_found",
"message": "<string>",
"details": {
"resource": "<string>",
"id": "<string>"
}
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Internal error."
}
}Use this operation to poll an enrichment. Result metrics appear after the campaign reaches
enriched; resultsExpireAt reports how long the result grant remains available.
The endpoint can read API-created, app-created, and Data Cube campaigns in the authenticated organization. createdVia identifies the creation surface.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Pattern:
^camp_[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{21}$